/// <reference types="react" />
import { ReturnPolicyCategory } from './src/itemProps/ReturnPolicyCategory';
import { ReturnPolicyCountry } from './src/itemProps/ReturnPolicyCountry';
import { MerchantReturnLink } from './src/itemProps/MerchantReturnLink';
import { RestockingFee } from './src/itemProps/RestockingFee';
import { ItemDefectReturnShippingFeesAmount } from './src/itemProps/ItemDefectReturnShippingFeesAmount';
import { ItemDefectReturnFees } from './src/itemProps/ItemDefectReturnFees';
import { InStoreReturnsOffered } from './src/itemProps/InStoreReturnsOffered';
import { ItemCondition } from './src/itemProps/ItemCondition';
import { ItemDefectReturnLabelSource } from './src/itemProps/ItemDefectReturnLabelSource';
import { ReturnLabelSource } from './src/itemProps/ReturnLabelSource';
import { CustomerRemorseReturnShippingFeesAmount } from './src/itemProps/CustomerRemorseReturnShippingFeesAmount';
import { RefundType } from './src/itemProps/RefundType';
import { ReturnShippingFeesAmount } from './src/itemProps/ReturnShippingFeesAmount';
import { MerchantReturnDays } from './src/itemProps/MerchantReturnDays';
import { ReturnMethod } from './src/itemProps/ReturnMethod';
import { AdditionalProperty } from './src/itemProps/AdditionalProperty';
import { CustomerRemorseReturnLabelSource } from './src/itemProps/CustomerRemorseReturnLabelSource';
import { CustomerRemorseReturnFees } from './src/itemProps/CustomerRemorseReturnFees';
import { ReturnPolicySeasonalOverride } from './src/itemProps/ReturnPolicySeasonalOverride';
import { ApplicableCountry } from './src/itemProps/ApplicableCountry';
import { ReturnFees } from './src/itemProps/ReturnFees';
import { MainEntityOfPage } from './src/itemProps/MainEntityOfPage';
import { AlternateName } from './src/itemProps/AlternateName';
import { Name } from './src/itemProps/Name';
import { PotentialAction } from './src/itemProps/PotentialAction';
import { Image } from './src/itemProps/Image';
import { Url } from './src/itemProps/Url';
import { Description } from './src/itemProps/Description';
import { SubjectOf } from './src/itemProps/SubjectOf';
import { AdditionalType } from './src/itemProps/AdditionalType';
import { DisambiguatingDescription } from './src/itemProps/DisambiguatingDescription';
import { SameAs } from './src/itemProps/SameAs';
import { Identifier } from './src/itemProps/Identifier';
import { MerchantReturnPolicy } from './src/MerchantReturnPolicy';
export { MerchantReturnPolicy, ReturnPolicyCategory, ReturnPolicyCountry, MerchantReturnLink, RestockingFee, ItemDefectReturnShippingFeesAmount, ItemDefectReturnFees, InStoreReturnsOffered, ItemCondition, ItemDefectReturnLabelSource, ReturnLabelSource, CustomerRemorseReturnShippingFeesAmount, RefundType, ReturnShippingFeesAmount, MerchantReturnDays, ReturnMethod, AdditionalProperty, CustomerRemorseReturnLabelSource, CustomerRemorseReturnFees, ReturnPolicySeasonalOverride, ApplicableCountry, ReturnFees, MainEntityOfPage, AlternateName, Name, PotentialAction, Image, Url, Description, SubjectOf, AdditionalType, DisambiguatingDescription, SameAs, Identifier };
declare const _default: {
    MerchantReturnPolicy: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemScope: boolean;
        itemType: string;
    }, string | import("react").JSXElementConstructor<any>>;
    ReturnPolicyCategory: {
        MerchantReturnEnumeration: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ReturnPolicyCountry: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Country({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    MerchantReturnLink: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    RestockingFee: {
        MonetaryAmount: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Number: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ItemDefectReturnShippingFeesAmount: {
        MonetaryAmount: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ItemDefectReturnFees: {
        ReturnFeesEnumeration: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    InStoreReturnsOffered: {
        Boolean: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ItemCondition: {
        OfferItemCondition: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ItemDefectReturnLabelSource: {
        ReturnLabelSourceEnumeration: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ReturnLabelSource: {
        ReturnLabelSourceEnumeration: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    CustomerRemorseReturnShippingFeesAmount: {
        MonetaryAmount: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    RefundType: {
        RefundTypeEnumeration: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ReturnShippingFeesAmount: {
        MonetaryAmount: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    MerchantReturnDays: {
        DateTime: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Integer: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Date: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ReturnMethod: {
        ReturnMethodEnumeration: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AdditionalProperty: {
        PropertyValue: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    CustomerRemorseReturnLabelSource: {
        ReturnLabelSourceEnumeration: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    CustomerRemorseReturnFees: {
        ReturnFeesEnumeration: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ReturnPolicySeasonalOverride: {
        MerchantReturnPolicySeasonalOverride: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ApplicableCountry: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Country({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ReturnFees: {
        ReturnFeesEnumeration: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    MainEntityOfPage: {
        CreativeWork: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AlternateName: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Name: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    PotentialAction: {
        Action: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Image: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        ImageObject: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Url: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Description: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    SubjectOf: {
        Event: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        CreativeWork: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AdditionalType: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    DisambiguatingDescription: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    SameAs: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Identifier: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        PropertyValue({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
};
export default _default;
